Package org.apache.sling.launchpad.base.impl

# Class ContextProtocolHandler

java.lang.Object
java.net.URLStreamHandler
org.osgi.service.url.AbstractURLStreamHandlerService
org.apache.sling.launchpad.base.impl.ContextProtocolHandler

All Implemented Interfaces:
  `org.osgi.service.url.URLStreamHandlerService`

public class ContextProtocolHandler extends org.osgi.service.url.AbstractURLStreamHandlerService
The `ContextProtocolHandler` is a simple extension of the OSGi provided `AbstractURLStreamHandlerService` which simply returns an instance of the `ContextConnection` when trying to open the connection of the URL.

## Field Summary

### Fields inherited from class org.osgi.service.url.AbstractURLStreamHandlerService

`realHandler`

## Constructor Summary

Constructors
Constructor
Description
`ContextProtocolHandler(org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider)`
Creates an instance of this protocol handler setting the servlet context which is queried to access content.

## Method Summary

Modifier and Type
Method
Description
`URLConnection`
`openConnection(URL url)`
Returns an instance of the `ContextConnection` class to access the content of the `url`.

### Methods inherited from class org.osgi.service.url.AbstractURLStreamHandlerService

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL, toExternalForm`

### Methods inherited from class java.net.URLStreamHandler

`openConnection, parseURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextProtocolHandler

public ContextProtocolHandler(org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider)
Creates an instance of this protocol handler setting the servlet context which is queried to access content.

Parameters:
  `resourceProvider` - The `LaunchpadContentProvider` to which requests for content access are delegated.

## Method Details

### openConnection

public URLConnection openConnection(URL url)
Returns an instance of the `ContextConnection` class to access the content of the `url`.

Specified by:
  `openConnection` in interface `org.osgi.service.url.URLStreamHandlerService`
Specified by:
  `openConnection` in class `org.osgi.service.url.AbstractURLStreamHandlerService`
Parameters:
  `url` - The URL whose content is requested.